## org.python.core
Class ThreadState

    java.lang.Object
      |
      +--org.python.core.ThreadState

public class ThreadState
extends java.lang.Object

Field Summary
`int` `compareStateNesting`
`PyException` `exception`
`PyFrame` `frame`
`PyList` `reprStack`
`PySystemState` `systemState`
`java.lang.Thread` `thread`
`boolean` `tracing`

Constructor Summary
`ThreadState(java.lang.Thread t, PySystemState systemState)`

Method Summary
`boolean` `enterRepr(PyObject obj)`
`void` `exitRepr(PyObject obj)`
`PyDictionary` `getCompareStateDict()`
`PyInstance` `getInitializingProxy()`
`void` `popInitializingProxy()`
`void` `pushInitializingProxy(PyInstance proxy)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### systemState

    public PySystemState systemState

### frame

    public PyFrame frame

### exception

    public PyException exception

### thread

    public java.lang.Thread thread

### tracing

    public boolean tracing

### reprStack

    public PyList reprStack

### compareStateNesting

    public int compareStateNesting

Constructor Detail

### ThreadState

    public ThreadState(java.lang.Thread t,
                       PySystemState systemState)

Method Detail

### getInitializingProxy

    public PyInstance getInitializingProxy()

### pushInitializingProxy

    public void pushInitializingProxy(PyInstance proxy)

### popInitializingProxy

    public void popInitializingProxy()

### enterRepr

    public boolean enterRepr(PyObject obj)

### exitRepr

    public void exitRepr(PyObject obj)

### getCompareStateDict

    public PyDictionary getCompareStateDict()

Jython homepage